import { PopoutListService } from './popoutList.service';
export declare class PopoutTriggerDirective {
    downArrow: () => void;
    upArrow: () => void;
    toggle: () => void;
    onEnter: () => void;
    popoutListService: PopoutListService<any>;
    constructor(popoutListService: PopoutListService<any>);
    toggleList(): void;
    next(): void;
    previous(): void;
    select(): void;
}
